# Interface WMTSInfoJson

Object containing layerIdentifier, tileMatrixSet, and URL for WMTSLayer layer types. See https://developers.arcgis.com/web-map-specification/objects/wmtsInfo/.

interface WMTSInfoJson {
customLayerParameters?: Record<string, unknown>;
customParameters?: Record<string, unknown>;
layerIdentifier?: string;
tileMatrixSet?: string;
url?: string;
}

#####
Index

### Properties

customLayerParameters?
customParameters?
layerIdentifier?
tileMatrixSet?
url?

##
Properties

### `Optional` customLayerParameters

customLayerParameters?: Record<string, unknown>

A sequence of parameters used to append different custom parameters to a WMTS tile request. These parameters are applied to GetTile. The customLayerParameters property takes precedence if customParameters is also present.

### `Optional` customParameters

customParameters?: Record<string, unknown>

A sequence of parameters used to append custom parameters to all WMTS requests. These parameters are applied to GetCapabilities and GetTile. If used with the customLayerParameters property, customParameters will not take precedence.

### `Optional` layerIdentifier

layerIdentifier?: string

Identifier for the specific layer used in the WMTS service. Required input by the user.

### `Optional` tileMatrixSet

tileMatrixSet?: string

Tiling schema, set by the WMTS service.

### `Optional` url

url?: string

URL to the WMTS web service. Required input by the user.